#ifndef KYLIN_CHECK_UID_H
#define KYLIN_CHECK_UID_H

#ifdef __cplusplus
extern "C" {
#endif


#include <sys/types.h>

int init_uid_record();

int uid_used(uid_t uid);

int insert_uid_log(char *name, uid_t uid);

/**
 * @brief 获取check uid state, configured in /etc/chkuid_state
 *
 * @return int 0 not check(off), 1 need check(on), default is 0
 */
int get_chkuid_state();
#ifdef __cplusplus
};
#endif

#endif

